.\"	$OpenBSD: newsyslog.8,v 1.24 2002/09/13 18:50:09 millert Exp $
.\"
.\" Copyright (c) 1997, Jason Downs.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jason Downs for the
.\"      OpenBSD system.
.\" 4. Neither the name(s) of the author(s) nor the name OpenBSD
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR(S) ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR(S) BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" This file contains changes from the Open Software Foundation.
.\"
.\"	from: @(#)newsyslog.8
.\"
.\" Copyright 1988, 1989 by the Massachusetts Institute of Technology
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" and its documentation for any purpose and without fee is
.\" hereby granted, provided that the above copyright notice
.\" appear in all copies and that both that copyright notice and
.\" this permission notice appear in supporting documentation,
.\" and that the names of M.I.T. and the M.I.T. S.I.P.B. not be
.\" used in advertising or publicity pertaining to distribution
.\" of the software without specific, written prior permission.
.\" M.I.T. and the M.I.T. S.I.P.B. make no representations about
.\" the suitability of this software for any purpose.  It is
.\" provided "as is" without express or implied warranty.
.\"
.TH NEWSYSLOG 8 "11 Nov 1999"
.SH NAME
\fBnewsyslog\fR \- maintain system log files to manageable sizes
.SH SYNOPSIS
\fBnewsyslog\fR [\fB\-mnrvV\fR] [\fB\-f\fR \fIconfig_file]\fR
.SH DESCRIPTION
.B newsyslog
is a program that should be scheduled to run periodically by
.BR cron (8).
When it is executed it archives log files if necessary.
If a log file is determined to require archiving,
.B newsyslog
rearranges the files so that
.I logfile
is empty,
.I logfile.0
has
the last period's logs in it,
.I logfile.1
has the next to last
period's logs in it, and so on, up to a user-specified number of
archived logs.
Optionally the archived logs can be compressed to save space.
.LP
The options are as follows:
.TP
.B \-m
Monitoring mode; only entries marked with an `M'
in flags are processed,
and notifications sent if any have changed.
Without this option, monitored entries are not processed.
.TP
.B \-n
Do not trim the logs, but instead print out what would be done if this option
were not specified.
.TP
.B \-r
Removes the restriction that
.B newsyslog
must be running as root.
Of course,
.B newsyslog
will not be able to send a
.I SIGHUP
signal to
.BR syslogd (8),
so this option should only be used in debugging.
.TP
.B \-v
Be verbose.
In this mode it will print out each log and its
reasons for either trimming that log or skipping it.
.TP
.B \-V
Print version.
.TP
.BI \-f " config_file"
Use
.I config_file
instead of
.I /etc/newsyslog.conf
for the configuration file.
.LP
A log can be archived because of two reasons.
The log file can have
grown bigger than a preset size in kilobytes, or a preset number of
hours may have elapsed since the last log archive.
The granularity of
.B newsyslog
is dependent on how often it is scheduled to run in
.BR cron (8).
Since the program is quite fast, it may be scheduled to run every hour
without any ill effects.
.LP
When starting up,
.B newsyslog
reads in a configuration file to determine which logs should be looked
at.
By default, this configuration file is
.IR /etc/newsyslog.conf .
Each line of the file contains information about a particular log file
that should be handled by
.BR newsyslog .
Each line has five mandatory fields and up to three optional fields, with a
whitespace separating each field.
Blank lines or lines beginning with a hash mark (`#') are ignored.
The fields of the configuration file are as
follows:
.TP 1i
logfile name
The full pathname of the system log file to be archived.
.TP
owner.group of archives (optional)
Specify an ownership and group for the archive file.
The `\&.' is essential, even if the
.I owner
or
.I group
field is left blank.
The fields may be numeric, or a name which is looked up
in the system password and group databases.
.TP
mode of logfile & archives
Octal mode of created log files and archives.
.TP
number of archives
Specify the number of archives to be kept besides the log file itself.
.TP
size of archives
When the size of the log file (in kilobytes) reaches this point, the log
file is trimmed as described above.
If this field is replaced by a `*', then the size of
the log file is not taken into account when determining when to trim the
log file.
By default, files smaller than 512 bytes are not rotated unless the
`B' (binary) flag is set.
This prevents
.B newsyslog
from rotating files consisting solely of a message indicating
that the log file has been turned over.
.TP
archive interval
Specify the time separation between the trimming of the log file.
If this field is replaced by a `*',
the number of hours since the last time the
log was trimmed will not be taken into consideration.
.TP
flags (optional)
The
.I flags
field specifies if the archives should have any special processing
done to the archived log files.
The `Z' flag will make the archive
files compressed to save space using
.BR gzip (1)
or
.BR compress (1),
depending on compilation options.
The `B' flag means that the file is a
binary file, and so the ASCII message which
.B newsyslog
inserts to indicate the fact that the logs have been turned over
should not be included.
The `M' flag marks this entry as a monitored log file.
The `F' flag specifies that symbolic links should be followed.
.TP
monitor notification (optional)
Specify the account that should receive notification messages if this is
a monitored log file.
Notification messages are sent as email; the operator
deserves what they get if they mark the
.BR sendmail (8)
log file as monitored.
.TP
pid file (optional)
Specify a file containing the PID of a process to send a
.I SIGHUP
signal to instead of
.IR /var/run/syslog.pid .
.TP
signal (optional)
Specify the signal to send to the process instead of
.IR SIGHUP .
Signal names
must start with ``SIG'' and be the signal name, not the number, e.g.,
.IR SIGUSR1 .
.TP
command (optional)
Specify a command to run instead of sending a signal to the process.
The command must be enclosed in double quotes (`\&"').
You cannot specify both a command and a PID file.
.IR NOTE :
If you specify a command to be run,
.B newsyslog
will not send a
.IR SIGHUP to
.BR syslogd (8).
.SH FILES
.TP 24
.I /etc/newsyslog.conf
default configuration file
.SH SEE ALSO
.BR compress (1),
.BR gzip (1),
.BR syslog (3),
.BR syslogd (8)
.SH AUTHORS
.nf
Theodore Ts'o, MIT Project Athena
Copyright 1987, Massachusetts Institute of Technology
.fi
